<?php
require_once("../includes/inc_file.php"); 
?>
<html>
<head>
<title>Branch List</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="../stylesheets/parctgi.css" rel="stylesheet" type="text/css">

<style type="text/css"> 
body	{background:#fff;}
h1		{font:bold 20px/26px Arial;}
p, li, td	{font:normal 12px/17px Arial;}
table	{border:0;border-collapse:collapse;}
td		{padding:4px;}
th		{font:bold 12px/17px Arial;text-align:left;padding:4px;border-bottom:1px solid #333;}
tr.odd	{background:#e4dcd9;}
tr.highlight	{background:#BDA9A2;}
tr.selected		{background:#4a1200;color:#fff;}
td+td+td {text-align:right;}
</style>
 
<script type="text/javascript"> 

function selectbranch(pid) {
	window.returnValue=pid;

	if(navigator.appName=="Microsoft Internet Explorer") { 
		this.focus();
		self.opener = this;
		self.close(); 
	} 
	else { 
		window.open('','_parent',''); 
		window.close();  
	} 
}
 
function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload != 'function') {
    window.onload = func;
  } else {
    window.onload = function() {
      oldonload();
      func();
    }
  }
}
 
function addClass(element,value) {
  if (!element.className) {
    element.className = value;
  } else {
    newClassName = element.className;
    newClassName+= " ";
    newClassName+= value;
    element.className = newClassName;
  }
}
 
 
function stripeTables() {
	var tbodies = document.getElementsByTagName("tbody");
	for (var i=0; i<tbodies.length; i++) {
		var odd = true;
		var rows = tbodies[i].getElementsByTagName("tr");
		for (var j=0; j<rows.length; j++) {
			if (odd == false) {
				odd = true;
			} else {
				addClass(rows[j],"odd");
				odd = false;
			}
		}
	}
}
 
function highlightRows() {
  if(!document.getElementsByTagName) return false;
  var tbodies = document.getElementsByTagName("tbody");
  for (var j=0; j<tbodies.length; j++) {
		  var rows = tbodies[j].getElementsByTagName("tr");
		  for (var i=0; i<rows.length; i++) {
				rows[i].oldClassName = rows[i].className
				rows[i].onmouseover = function() {
				  addClass(this,"highlight");
				}
				rows[i].onmouseout = function() {
				  this.className = this.oldClassName
				}
		}
	}
}
 
addLoadEvent(stripeTables);
addLoadEvent(highlightRows);
 
</script>
 

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form name="form1" method="post" action="">
  <table width="100%" border="1" cellspacing="0" cellpadding="0" bordercolor="#B0B0FF" style='BORDER-COLLAPSE: collapse'>
    <thead>
      <tr bgcolor="#FFCC33"> 
        <td height="24" nowrap class="fontset11" align="center" valign="middle"><div align="left"><strong>Region</strong></div></td>
        <td nowrap class="fontset11" align="center" valign="middle"><div align="left"><strong>City</strong></div></td>
 		<td nowrap class="fontset11" align="center" valign="middle"><div align="left"><strong>Area</strong></div></td>
  		<td nowrap class="fontset11" align="center" valign="middle"><div align="left"><strong>Branch Name</strong></div></td>        
        </tr>
      <tr> 
    </thead>
    <td colspan="7"> 
      <?php
		if(isset($_REQUEST['bank'])) {
			if($_REQUEST['bank'] >0) {
				$cont = " bank_code = " .  $_REQUEST['bank'];
			}
			else {
				$cont = " 1=0 ";
			}
		}
		else {
			$cont = " 1=0 ";
		}
	  	$sq1 = "select region,city,area,branch_name from money_bank_branch	where $cont	order by area,branch_name";
		$rslt = mysql_query($sq1);
		
		while($row=mysql_fetch_assoc($rslt)) {
			
			$para = $row['region'] . ";" . $row['city'] . ";" . $row['area'] . ";" . $row['branch_name'];
			
			echo "<tr> ";
			echo "  <td class='fontset11' align='center' valign='middle'><a href='#' class='fontset11' onClick='selectbranch(". '"' . $para .'"' .");return false;'><div align='left'>". $row['region'] ."</div></a></td>";
			echo "  <td class='fontset11' align='center' valign='middle'><a href='#' class='fontset11' onClick='selectbranch(". '"' . $para .'"' .");return false;'><div align='left'>". $row['city'] ."</div></a></td>";
			echo "  <td class='fontset11' align='center' valign='middle'><a href='#' class='fontset11' onClick='selectbranch(". '"' . $para .'"' .");return false;'><div align='left'>". $row['area'] ."</div></a></td>";
			echo "  <td class='fontset11' align='center' valign='middle'><a href='#' class='fontset11' onClick='selectbranch(". '"' . $para .'"' .");return false;'><div align='left'>". $row['branch_name'] ."</div></a></td>";
			
			
			
			echo "</tr>";
		}
	  ?>
    </td>
    </tr>
  </table>
</form>
</body>
</html>
